// 编写一个函数，用于计算一个整数数组中所有元素的和，并返回结果。
#include <iostream>

using namespace std;

// int mySize(int arr[])
// {
//     int size = 0;
//     while (arr[size] && ++size)
//         ;
//     return size;
// }

int sum(int arr[], int size)
{
    int sum = 0;
    while (--size >= 0)
    {
        sum += arr[size];
    }

    return sum;
}

int main()
{
    int arr[] = {1, 2, 3, 4, 5, 6};
    // int size = mySize(arr);
    int size = sizeof(arr) / sizeof(arr[0]);
    cout << "数组的长度为：" << size << endl;
    cout << "数组的和为：" << sum(arr, size) << endl;

    return 0;
}